%define ver    0.2.1
%define rev    svn193


Summary:       A SSH implementation library
Name:          libssh
Version:       %{ver}
Release:       0.2.%{rev}%{?dist}%{?pext}
Epoch:         1
License:       LGPL
Group:         System Environment/Libraries
Source0:       %{name}-%{ver}+%{rev}.tar.gz
Patch0:        %{name}-0.2.1-msg_chan_cmd.patch
URL:           http://www.0xbadc0de.be/wiki/%{name}:%{name}
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Aris Adamantiadis <aris@0xbadc0de.be>
BuildRequires: openssl-devel zlib-devel

%description
Libssh was designed to be used by programmers needing a working SSH
implementation by the mean of a library. The complete control of the
client is made by the programmer. With libssh, you can remotely exec
programs, transfer files and use a secure and transparent tunnel for
your remote programs. With its SFTP implementation, you can play with
remote files easily, without third-party programs others than openssl.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      openssl-devel zlib-devel

%description   devel
The %{name}-devel package contains the static libraries and header
files for developing software using %{name}.


%prep
%setup -q -n %{name}-%{ver}+%{rev}
%patch0 -p1


%build
%configure \
	--enable-shared \
	--enable-static \
	--enable-ssh1

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man3

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__cp}      -p      {*.c,.libs/sample*}     ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample
%{__install} -m 0644 doxygen/man/man3/ssh*.3 ${RPM_BUILD_ROOT}%{_mandir}/man3

%{__rm}      -f      ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS BSD COPYING ChangeLog INSTALL README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc %dir doc doxygen/html
%{_includedir}/%{name}
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so
%{_datadir}/%{name}
%{_mandir}/man3/*.3*


%changelog
* Sun Aug 23 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1:0.2.1-0.2.svn193
- New version (0.2.1+svn193)
- Fixed version script
- Added ssh_message_channel_request_command()

* Wed Mar 26 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1:0.2-4
- Rewritten for buildsystem

* Thu Jan 25 2007 peter.pramberger@member.fsf.org 1:0.2-3
- new version (0.2)

* Sat Dec 16 2006 peter.pramberger@member.fsf.org 0.2rc-2
- created
